/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: ParserV4.java,v 1.1 2000/07/19 00:33:55 pmahar Exp $
 */

package org.enhydra.kelp.common.bridge;

// Kelp imports
import org.enhydra.kelp.common.wizard.xmlc.Reporter;

// XMLC imports
import org.enhydra.xml.xmlc.XMLCException;
import org.enhydra.xml.xmlc.dom.XMLCDocument;
import org.enhydra.xml.xmlc.compiler.Parse;
import org.enhydra.xml.xmlc.metadata.MetaData;

// Standard imports
import java.io.PrintWriter;
import java.io.IOException;

public class ParserV4 implements Parser {
  private PrintWriter traceWriter = null;
  private PrintWriter infoWriter = null;
  private MetaDataHandler handler = null;
  private Parse parser = null;

  public ParserV4(PrintWriter trace, PrintWriter info) {
    traceWriter = trace;
    infoWriter = info;

    Reporter reporter = null;
    reporter = new Reporter(trace);
    parser = new Parse(reporter, info);
  }

  public XMLCDocument parse() throws XMLCException {
    XMLCDocument doc = null;
    MetaData metaData = null;
    metaData = (MetaData) handler.getMetaData();
    try {
      doc = parser.parse(metaData);
    } catch (IOException e) {
      XMLCException xe = null;
      xe = new XMLCException(e);
      throw xe;
    }
    return doc;
  }

  public MetaDataHandler getMetaDataHandler() {
    return handler;
  }

  public void setMetaDataHandler(MetaDataHandler h) {
    handler = h;
  }


  public PrintWriter getTraceWriter() {
    return traceWriter;
  }

  public PrintWriter getInfoWriter() {
    return infoWriter;
  }


}