/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: WirelessAppUtil.java,v 1.4 2000/08/01 07:09:13 pmahar Exp $
 */
package org.enhydra.kelp.common.wizard.codegen;

// Kelp imports
import org.enhydra.kelp.common.swing.ExtensionFilter;
import org.enhydra.kelp.common.wizard.conf.ConfBuildThread;
import org.enhydra.kelp.common.node.Mapper;
import org.enhydra.kelp.common.node.OtterProject;

// CodeGen imports
import org.enhydra.codegen.CodeGen;
import org.enhydra.codegen.Generator;
import org.enhydra.codegen.DefaultOptionSet;
import org.enhydra.codegen.OptionSet;
import org.enhydra.codegen.GeneratorException;
import org.enhydra.codegen.TemplateDrivenGenerator;
import org.enhydra.codegen.wizard.CodeGenDialog;
import org.enhydra.codegen.wizard.CodeGenPanel;
import org.enhydra.codegen.wizard.DefaultOptionPanel3;
import org.enhydra.codegen.wmlapp.WirelessAppGenerator;

// Standard imports
import java.awt.Component;
import java.io.File;
import java.io.FilenameFilter;
import java.util.Vector;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class WirelessAppUtil extends CodeGenUtil {

    public WirelessAppUtil() throws CodeGenException {
       super(new WirelessAppGenerator());
    }

    public WirelessAppUtil(OtterProject project) throws CodeGenException {
      super(project, new WirelessAppGenerator());
    }

    public static Generator createGenerator() {
      return new WirelessAppGenerator();
    }

    public static String getCommandName() {
        String commandName = "wmlapp";

        if (CodeGenUtil.isCodeGenAvailable()) {
            commandName = WirelessAppGenerator.COMMAND_NAME;
        }
        return commandName;
    }
    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public static String getDisplayName() {
        String displayName = "Wireless Web Application";

        if (CodeGenUtil.isCodeGenAvailable()) {
            displayName = WirelessAppGenerator.DISPLAY_NAME;
        }
        return displayName;
    }


}
