/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: PrimeFolderNode.java,v 1.1 2000/05/12 05:59:05 pmahar Exp $
 */

package org.enhydra.kelp.jbuilder.node;

import org.enhydra.kelp.common.node.OtterFolderNode;
import org.enhydra.kelp.common.node.OtterProject;
import org.enhydra.kelp.common.node.OtterNode;
import com.borland.primetime.node.Project;
import com.borland.primetime.node.Node;
import com.borland.primetime.node.FolderNode;
import java.io.File;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class PrimeFolderNode extends PrimeNode implements OtterFolderNode {

    public PrimeFolderNode(FolderNode nativeNode) {
      super(nativeNode);
    }


    /**
     * Constructor declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param name
     *
     * @see
     */
    public PrimeFolderNode(OtterProject otterProject, OtterNode otterNode,
			   String name) {
	Project    nativeProject = null;
	Node       nativeNode = null;
	FolderNode nativeFolder = null;

	if (otterProject.getNativeProject() instanceof Project) {
	    nativeProject = (Project) otterProject.getNativeProject();
	}

	if (otterNode.getNativeNode() instanceof Node) {
	    nativeNode = (Node) otterNode.getNativeNode();
	}

	if (nativeProject != null && nativeNode != null) {
	    nativeFolder = new FolderNode(nativeProject, nativeNode, name);
	}

	setNativeNode(nativeFolder);
    }

}



/*--- formatting done in "Sun Java Convention" style on 01-16-2000 ---*/

