/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: XMLCPackagePropertyPage.java,v 1.1 2000/07/24 07:24:41 pmahar Exp $
 */
package org.enhydra.kelp.jbuilder.properties;

// Kelp imports
import org.enhydra.kelp.common.node.OtterNode;
import org.enhydra.kelp.jbuilder.node.PrimeNode;

// JBuilder Foundation Imports
import com.borland.primetime.help.HelpTopic;
import com.borland.primetime.help.ZipHelpTopic;
import com.borland.primetime.node.LightweightNode;
import com.borland.primetime.properties.PropertyPage;

// Standard imports
import java.util.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * Class declaration
 *
 *
 * @author Paul Mahar
 * @version $Revision: 1.1 $
 */
public class XMLCPackagePropertyPage extends PropertyPage {
    private XMLCPackagePropertyPanel packagePanel = new XMLCPackagePropertyPanel();
    private BorderLayout          layoutMain = new BorderLayout();
    private final String          HELP_PAGE =
        "file:../kelp1.2/doc/developer/jb-kelp.html#xmlcnode";

    /**
     * Constructor declaration
     *
     *
     * @param topic
     *
     * @see
     */
    public XMLCPackagePropertyPage(Object topic) {
        if (topic instanceof LightweightNode) {
            LightweightNode nativeNode = null;
            OtterNode       otterNode  = null;

            nativeNode = (LightweightNode) topic;
            otterNode  =  new PrimeNode(nativeNode);
            try {
                packagePanel.setNode(otterNode);
                jbInit();
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    /**
     * Method declaration
     *
     *
     * @see
     */
    public void readProperties() {
        packagePanel.readProperties();
    }

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public HelpTopic getHelpTopic() {
        ZipHelpTopic t = new ZipHelpTopic(null, HELP_PAGE);

        return t;
    }

    /**
     * Method declaration
     *
     *
     * @see
     */
    public void writeProperties() {
        packagePanel.writeProperties();
    }

    /**
     * Constructor declaration
     *
     *
     * @see
     */
    public XMLCPackagePropertyPage() {
        try {
            jbInit();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * Method declaration
     *
     *
     * @exception Exception
     *
     * @see
     */
    private void jbInit() throws Exception {
        this.setLayout(layoutMain);
        this.add(packagePanel, BorderLayout.CENTER);
    }

}
