
/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: Enhydra3WirelessAppWizard.java,v 1.3 2000/08/01 01:55:02 pmahar Exp $
 */
package org.enhydra.kelp.jdeveloper.wizard.en3wml;

// Kelp imports
import org.enhydra.kelp.common.wizard.codegen.Enhydra3WirelessAppUtil;
import org.enhydra.kelp.common.wizard.codegen.CodeGenUtil;
import org.enhydra.kelp.common.wizard.codegen.CodeGenException;
import org.enhydra.kelp.jdeveloper.wizard.AbstractCodeGenWizard;

// JDeveloper imports
import borland.jbuilder.addin.Context;
import borland.jbuilder.addin.IdeEnvironment;

// Standard imports
import javax.swing.JOptionPane;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class Enhydra3WirelessAppWizard extends AbstractCodeGenWizard {
    public String getDisplayName() {
      return Enhydra3WirelessAppUtil.getDisplayName();
    }

    /**
     * Method declaration
     *
     *
     * @param ide
     * @param context
     *
     * @see
     */
    public void invoke(IdeEnvironment ide, Context context) {
       CodeGenUtil util = null;
       if (isJava2(ide)) {
           try {
             util = new Enhydra3WirelessAppUtil();
             super.invoke(ide, context, util);
           } catch (CodeGenException e) {
               JOptionPane.showMessageDialog(ide.getIdeFrame(),
                                             e.getMessage());
           }
       }
    }

    public String[] getSteps() {
        String[] steps = new String[5];
        steps[0] =
            "From the menu select Wizards | XMLC Compiler and click on Compile "
            + "to compile the Welcome.wml file into a DOM class.<BR>";
        steps[1] =
            "Use Ctrl-F9 to make the project.";
        steps[2] =
          "Deploy the project by selecting Wizards | Local Deployment.<BR>" +
          "Click on Deploy to process the *.conf.in templates.<BR>";
        steps[3] =
            "Select the StartMultiServer.java program and press F9 launch the server.<BR>";
        steps[4] = "From your wireless device emulator enter: <b>http://localhost:9000/<b><BR>";
        return steps;
    }

}
